Anope Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001712Anope Stable (2.0.x series)[All Projects] Generalpublic2018-02-13 23:482018-06-12 16:17
ReporterKoragg 
Assigned ToAdam 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSdebianOS Versiondebian 9
Summary0001712: /os umode cannot set/unset inspircd-extras user modes while /os mode can set/unset channel modes
DescriptionIn Anope 2.0.6 when user modes are added from the inspircd-extras repository on github for InspIRCd 2.0.25 then /os umode states it sets/unsets those user modes from a user but the user does not actually get them set (as can be seen if an oper or the user performs a /whois).
Oddly channel modes added in from the same inspircd-extra respository can be set/unset from channels via /os mode
This behaviour is confirmed to occur on InspIRCd 2.0.25 and Anope 2.0.6
Steps To Reproduce1. use /os umode to set/unset inspircd-extras user modes on a user
2. perform a /whois and see that the mode was not set/unset through OperServ
   despite the notice it sent out.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006853)
Adam (administrator)
2018-06-12 16:17

Fixed in https://github.com/anope/anope/pull/214 [^]
(0006850)
genius3000 (reporter)
2018-02-14 05:59

To add to this issue, currently SNOMASK 's' cannot be set/unset using OS UMODE. With the proposed fix, it can be set/unset but you cannot add/remove parameters. I haven't looked into why that is, maybe Adam (or others) can find that cause easier.
(0006849)
genius3000 (reporter)
2018-02-14 05:57

Proposed fix: https://github.com/anope/anope/pull/214 [^]

- Issue History
Date Modified Username Field Change
2018-02-13 23:48 Koragg New Issue
2018-02-14 05:57 genius3000 Note Added: 0006849
2018-02-14 05:59 genius3000 Note Added: 0006850
2018-06-12 16:17 Adam Note Added: 0006853
2018-06-12 16:17 Adam Status new => resolved
2018-06-12 16:17 Adam Resolution open => fixed
2018-06-12 16:17 Adam Assigned To => Adam


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker